From 8be09b464a2db68fad92cd940b4888173b697a2c Mon Sep 17 00:00:00 2001
From: Metin Doslu <metin@citusdata.com>
Date: Mon, 5 Feb 2018 13:03:41 +0200
Subject: [PATCH] Add PGDLLIMPORT declaration to enable_hashagg

On Windows, PGDLLIMPORT is required for variables to be
exported, for those variables to be importable by extensions.
Add PGDLLIMPORT to enable_hashagg in optimizer/cost.h.

MSDN documentation:
https://docs.microsoft.com/en-us/cpp/build/exporting-from-a-dll-using-declspec-dllexport
---
 src/include/optimizer/cost.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/include/optimizer/cost.h b/src/include/optimizer/cost.h
index d2fff76..278b746 100644
--- a/src/include/optimizer/cost.h
+++ b/src/include/optimizer/cost.h
@@ -61,7 +61,7 @@ extern bool enable_indexonlyscan;
 extern bool enable_bitmapscan;
 extern bool enable_tidscan;
 extern bool enable_sort;
-extern bool enable_hashagg;
+extern PGDLLIMPORT bool enable_hashagg;
 extern bool enable_nestloop;
 extern bool enable_material;
 extern bool enable_mergejoin;
-- 
2.8.4 (Apple Git-73)

